#![feature(rustc_private)]

use std::{io, process::ExitCode};

use runtime::{abi::system, rt::system::system_control};

fn main() -> ExitCode {
    if let Err(error) = system_control::<system::PowerOff>(&mut [], &()) {
        let error = io::Error::from(error);
        eprintln!("{error}");
        ExitCode::FAILURE
    } else {
        ExitCode::SUCCESS
    }
}
